<?php

namespace Ecommerce\Controllers;

use Ecommerce\Services\ItemPedColSave;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO\Response\Notification;

class InsertSelectItempedcol extends \Teknisa\Libs\Controller\CRUD
{

    protected $dataSourceName = 'itempedcol';
    protected $itemPedColSave;

    public function __construct($crudService, ParameterBag $parameterBag, ItemPedColSave $itemPedColSave)
    {
        parent::__construct($crudService, $parameterBag);
        $this->itemPedColSave = $itemPedColSave;
    }

    public function save(DTO\Request $request, DTO\Response $response)
    {
        try {
            $row = $request->getRow();
            $cdfilial = $row[0]['P_CDFILIAL'];
            $nrpedcoleta = $row[0]['P_NRPEDCOLETA'];
            $cdproduto = $row[0]['P_CDPRODUTO'];
            $cdmarca = $row[0]['P_CDMARCA'];
            $this->itemPedColSave->insertItemPedCol($cdfilial, $nrpedcoleta, $cdproduto, $cdmarca);
            $response->addNotification(new Notification("Inserido com sucesso."));
        } catch (\Exception $e) {
            $response->addNotification(new Notification("{$e}", 'error'));
        }
    }
}
